Bug 1341737 - Disable boot checkboxes in attach disk to VM dialog if a bootable disk is already attached
Summary: Disable boot checkboxes in attach disk to VM dialog if a bootable disk is alr...
Keywords:
Status: CLOSED CURRENTRELEASE
Alias: None
Product: ovirt-engine
Classification: oVirt
Component: Frontend.WebAdmin
Version: 4.0.0
Hardware: Unspecified
OS: Unspecified
unspecified
unspecified
Target Milestone: ovirt-4.0.0-rc
: 4.0.0
Assignee: Tal Nisan
QA Contact: Aharon Canan
URL:
Whiteboard:
Depends On:
Blocks:
TreeView+ depends on / blocked
 
Reported: 2016-06-01 16:05 UTC by Tal Nisan
Modified: 2016-07-05 07:45 UTC (History)
3 users (show)

Fixed In Version:
Doc Type: If docs needed, set a value
Doc Text:
Clone Of:
Environment:
Last Closed: 2016-07-05 07:45:21 UTC
oVirt Team: Storage
rule-engine: ovirt-4.0.0+
rule-engine: planning_ack+
tnisan: devel_ack+
acanan: testing_ack+


Attachments (Terms of Use)


Links
System ID Private Priority Status Summary Last Updated
oVirt gerrit 58481 0 master MERGED webadmin: Move readonly, boot and interface columns to disk attach popup 2016-06-02 08:52:54 UTC
oVirt gerrit 58482 0 master MERGED webadmin: Disabled boot option on disk attach if boot disk exists 2016-06-02 08:53:00 UTC
oVirt gerrit 58483 0 master MERGED webadmin: Add explanation tooltip when boot checkbox in attach disk dialog 2016-06-02 08:54:05 UTC
oVirt gerrit 58515 0 ovirt-engine-4.0 MERGED webadmin: Move readonly, boot and interface columns to disk attach popup 2016-06-02 10:42:37 UTC
oVirt gerrit 58516 0 ovirt-engine-4.0 MERGED webadmin: Disabled boot option on disk attach if boot disk exists 2016-06-02 10:42:31 UTC
oVirt gerrit 58517 0 ovirt-engine-4.0 MERGED webadmin: Add explanation tooltip when boot checkbox in attach disk dialog 2016-06-02 10:42:26 UTC

Description Tal Nisan 2016-06-01 16:05:01 UTC
Description of problem:
Up until the change that moved the boot property to the relation between a disk and a VM the boot option could not be set when attaching a disk to VM and depended solely on whether the disk is defined as boot or not.
After this change we can decide whether to attach a disk as bootable or not and in that case if we know that VM already has a disk that is marked as boot this option should be grayed out to begin with.

Version-Release number of selected component (if applicable):


How reproducible:
100%

Steps to Reproduce:
1. Create a disk with one bootable disk
2. Attempt to attach another disk from the VM disks subtab -> "Attach"
3. A list of disks will be displayed along with a changeable boot checkboxes for each

Actual results:
The boot checkboxes are changeable

Expected results:
The boot checkboxes should be grayed out

Additional info:

Comment 1 Gilad Lazarovich 2016-06-16 09:05:42 UTC
Verified to be fixed on build 4.0.0.4-0.1

Comment 3 Sandro Bonazzola 2016-07-05 07:45:21 UTC
oVirt 4.0.0 has been released, closing current release.


Note You need to log in before you can comment on or make changes to this bug.